/* -*- mode: c++ -*-
   this file is part of the robolog libraries
   error area codes
   Copyright (C) Apr 16 1999 Oliver Obst
   $Id: debug.h,v 1.1 1999/05/05 15:02:29 frvit Exp $

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.
  
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
 
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef _DEBUG_H
#define _DEBUG_H

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif

#include "robobug.h"

#define ROBOLOG_INIT    100
#define PARAMETER_CLASS 201
#define TIMER_CLASS     301
#define MATHS_LINE      404
#define MATHS_RECTANGLE 405
#define MATHS_RANDOM    406
#define OBJARRAY_MOVING 602
#define OBJARRAY_NONMOV 603
#define OBJARRAY_LINES  604
#define OBJARRAY_FLAGS  605
#define OBJARRAY_GOALS  606
#define OBJARRAY_BALLS  607
#define OBJARRAY_POINTS 608
#define OBJARRAY_PLAYER 609
#define OBJARRAY_PARTNR 610
#define OBJARRAY_OPPON  611
#define OBJARRAY_UNKNOW 612
#define OBJARRAY_SQRBRK 613
#define LISTPROC_MEMORY 701
#define CONTROL_SEND    801
#define OCLIENT_SOCKET  901
#define OCLIENT_SERVER  902
#endif /* _DEBUG_H */
