%%% Copyright (C) Aug 21 1998 Oliver Obst

%%% $Id: oo_chase_ball.pl,v 1.1 1998/11/06 13:30:10 frvit Exp $

%% This program is free software; you can redistribute it and/or
%% modify it under the terms of the GNU General Public License
%% as published by the Free Software Foundation; either version 2
%% of the License, or (at your option) any later version.

oo_chase_ball :-
	writeln("oo_chase_ball"),
	refresh,
	ball(Dist,_Dir,_DDist,_DDir,X,Y),
	findall(Nr,cb_partner_closer(X,Y,Dist,Nr),[]).

cb_partner_closer(BX,BY,Dist,Nr) :-
	partner(Nr,_Dist,_Dir,_DDist,_DDir,X,Y),
	SqrDist is Dist * Dist,
	SqrDist > (X - BX) * (X - BX) + (Y - BY) * (Y - BY).
